Bug 106782 - only first anniversary of contacts shown in korganizer
Summary: only first anniversary of contacts shown in korganizer
Status: RESOLVED FIXED
Alias: None
Product: kresources
Classification: Miscellaneous
Component: birthdays (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-04 17:27 UTC by Harald Frießnegger
Modified: 2006-11-20 20:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Frießnegger 2005-06-04 17:27:31 UTC
Version:           1.1.1 (using KDE KDE 3.4.1)
Installed from:    SuSE RPMs

i want to add anniversaries/jubilees (german jubiläum) for contacts and get them displayed as events in korganizer.
unfortunately this only works for the first from today on

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
example:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

today it is 2005-06-04
john & johanna (2000-06-25)
markus & maria (1982-06-20)

if i specify a jubilee of john on the 2000-06-25 and enter his wife johanna as his partner it gets displayed in korganizer as "Jahrestag john & johanna"

if i now add another jubilee to my contacts (markus and maria)
and restart kontact (unfortunately this is necessary to make korganizer aware of the new event)
and choose the calendar
the only jubilee that gets displayed is the one of markus & maria.

john and johanna do not get displayed anymore.
Comment 1 Christian Schaarschmidt 2006-05-30 21:10:18 UTC
i think this should fix it

Index: resourcekabc.cpp
===================================================================
--- resourcekabc.cpp    (revision 546339)
+++ resourcekabc.cpp    (working copy)
@@ -270,7 +270,7 @@
     }

     Event *ev = new Event();
-      ev->setUid( (*it).uid()+"_KABC_Anniversary");
+      ev->setUid( uid_1+"_KABC_Anniversary" );

     ev->setDtStart(anniversary);
     ev->setDtEnd(anniversary);
@@ -281,7 +281,7 @@

     ev->setCustomProperty( "KABC", "BIRTHDAY", "YES" );

-    ev->setCustomProperty( "KABC", "UID-1", (*it).uid() );
+    ev->setCustomProperty( "KABC", "UID-1", uid_1 );
     ev->setCustomProperty( "KABC", "NAME-1", name_1 );
     ev->setCustomProperty( "KABC", "EMAIL-1", email_1 );
     ev->setCustomProperty( "KABC", "ANNIVERSARY", "YES" );
Comment 2 Boudewijn OVERGAAUW 2006-08-06 20:47:14 UTC
The problem still exists in KOrganizer 3.5.3 as shipped with the openSUSE version of KDE 3.5.4 Level "a"
Comment 3 Reinhold Kainhofer 2006-11-02 19:03:02 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 4 Christian Schaarschmidt 2006-11-07 19:23:55 UTC
SVN commit 603070 by schaarsc:

show anniversaries of all contacts in korganizer

CCBUG: 106782


 M  +2 -2      branches/work/kdepim-3.5.5+/kresources/birthdays/resourcekabc.cpp  


--- branches/work/kdepim-3.5.5+/kresources/birthdays/resourcekabc.cpp #603069:603070
@@ -270,7 +270,7 @@
     }
 
     Event *ev = new Event();
-      ev->setUid( (*it).uid()+"_KABC_Anniversary");
+      ev->setUid( uid_1+"_KABC_Anniversary" );
 
     ev->setDtStart(anniversary);
     ev->setDtEnd(anniversary);
@@ -281,7 +281,7 @@
 
     ev->setCustomProperty( "KABC", "BIRTHDAY", "YES" );
 
-    ev->setCustomProperty( "KABC", "UID-1", (*it).uid() );
+    ev->setCustomProperty( "KABC", "UID-1", uid_1 );
     ev->setCustomProperty( "KABC", "NAME-1", name_1 );
     ev->setCustomProperty( "KABC", "EMAIL-1", email_1 );
     ev->setCustomProperty( "KABC", "ANNIVERSARY", "YES" );
Comment 5 Christian Schaarschmidt 2006-11-20 20:11:10 UTC
commited to trunk (revision 605947)
commited to branch/3.5 (revision 605983)